Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-27908

Startup fails on s390x/Linux - java.lang.UnsatisfiedLinkError: jnidispatch

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Blocker
    • Resolution: Cannot Reproduce
    • Component/s: core
    • Labels:
    • Environment:
    • Similar Issues:

      Description

      Starting Jenkins Exception in thread "main" java.lang.reflect.InvocationTargetException
      at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
      at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:60)
      at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)
      at java.lang.reflect.Method.invoke(Method.java:611)
      at Main._main(Main.java:140)
      at Main.main(Main.java:98)
      Caused by: java.lang.UnsatisfiedLinkError: jnidispatch (/com/sun/jna/linux-s390x/libjnidispatch.so) not found in resource path
      at com.sun.jna.Native.loadNativeLibraryFromJar(Native.java:697)
      at com.sun.jna.Native.loadNativeLibrary(Native.java:674)
      at com.sun.jna.Native.<clinit>(Native.java:115)
      at java.lang.J9VMInternals.initializeImpl(Native Method)
      at java.lang.J9VMInternals.initialize(J9VMInternals.java:200)
      at com.sun.akuma.CLibrary.<clinit>(CLibrary.java:89)
      at java.lang.J9VMInternals.initializeImpl(Native Method)
      at java.lang.J9VMInternals.initialize(J9VMInternals.java:200)
      at com.sun.akuma.JavaVMArguments.resolvePID(JavaVMArguments.java:126)
      at com.sun.akuma.JavaVMArguments.ofLinux(JavaVMArguments.java:114)
      at com.sun.akuma.JavaVMArguments.of(JavaVMArguments.java:104)
      at com.sun.akuma.JavaVMArguments.current(JavaVMArguments.java:92)
      at com.sun.akuma.Daemon.daemonize(Daemon.java:106)
      at com.sun.akuma.Daemon.all(Daemon.java:88)
      ... 6 more
      [FAILED]

        Attachments

          Issue Links

            Activity

            Hide
            danielbeck Daniel Beck added a comment -

            1.580.x has been out of community support for months. Please update Jenkins to 1.586+, which includes the fix for JENKINS-24521.

            Show
            danielbeck Daniel Beck added a comment - 1.580.x has been out of community support for months. Please update Jenkins to 1.586+, which includes the fix for JENKINS-24521 .
            Hide
            danielbeck Daniel Beck added a comment - - edited

            jenkins-1.580.13.1-1.1.noarch

            Based on that version, you're using Jenkins Enterprise. If so, you could file a support request with Cloudbees about this. But note that they require use of the Oracle JRE (see here).

            Show
            danielbeck Daniel Beck added a comment - - edited jenkins-1.580.13.1-1.1.noarch Based on that version, you're using Jenkins Enterprise. If so, you could file a support request with Cloudbees about this. But note that they require use of the Oracle JRE ( see here ).

              People

              • Assignee:
                Unassigned
                Reporter:
                mirsmehdi Mir Sajjad Mehdi
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: